<?php

header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../config/database.php'; 
include_once '../objects/reservation.php'; 
include_once '../config/_globle.php';

date_default_timezone_set('Asia/Bangkok');

$database = new Database();
$db = $database->getConnection();

$reservation = new Reservation($db);

$stmt = $reservation->getNightChart(date("Y"));
$num = $stmt->rowCount();

$response = array();
$response["records"] = array();

if ($num > 0) {

    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        extract($row); 

        $item = array(
            "month" => $month, 
            "count" => (int)$c,
        );

        array_push($response["records"], $item);
    }
}


http_response_code(200);
echo json_encode($response);
?>
